{ config, lib, pkgs, ... }:

# Special options for mobile devices
let
  cfg = config.ptw.hardware.mobile;
in {
  options.ptw.hardware.mobile = {
    enable = lib.mkEnableOption "Enable support for mobile devices";
  };

  config = lib.mkIf cfg.enable {
    # Battery savings
    #services.tlp.enable = true;

    hardware.sensor.iio.enable = true;
  };
}
